/*
* @description:物料采购方式维护-字典信息
  @Modifier: 郝定康
  @routerPath:
  @date: 2020-11-12 16:31:48
  * */
export const resultQueryMixins = {
  data() {
    return {
      // 执行方式
      executeQryStatusList: [{
        typecode: '01',
        typename: '执行中',
        name: '执行中'
      }, {
        typecode: '02',
        typename: '已结束',
        name: '已结束'
      }, {
        typecode: '03',
        typename: '已终止',
        name: '已终止'
      }],
      // 执行方式
      executeTypeList: [],
      // 计划采购方式
      tenderMethodList: [],
      dictionaryType: ['executeType', 'tenderMethod'] // 'executeQryStatus',
    }
  },
  created() {
    // 获取字典信息
    this.$store.dispatch('getGroupType', this.dictionaryType).then((data) => {
      // 遍历key存储相应的数据
      for (const key in data.bidTypeData) {
        /* 是否有数据*/
        if (data.bidTypeData[key]) {
          this[key] = data.bidTypeData[key]
        }
      }
    })
  }
}

